package com.winhc.fast.query;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.web.reactive.config.EnableWebFlux;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

@SpringBootApplication
@EnableWebFlux
public class FastQuery4SpiderApplication {

    public static void main(String[] args) {
        getList("/app/libs");
        SpringApplication.run(FastQuery4SpiderApplication.class, args);
    }

    public static void getList(String path) {
        List<String> list = new ArrayList<>();
        File file = new File(path);
        if (!file.exists()) {
            System.out.println(path + "不存在.");
            return;
        }
        File[] tempList = file.listFiles();
        System.out.println("该目录下对象个数：" + tempList.length);
        for (int i = 0; i < tempList.length; i++) {
            if (tempList[i].isFile()) {
                System.out.println("文件：" + tempList[i]);
            }
            if (tempList[i].isDirectory()) {
                list.add(tempList[i].getPath());
                System.out.println("文件夹：" + tempList[i].getPath());
                //递归：
                getList(tempList[i].getPath());
            }
        }
    }


}
